NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::SheetMetal::LoftedFlangeBuilder Class Reference

Represents a Lofted Flange feature builder. More...

Inheritance diagram for NXOpen::Features::SheetMetal::LoftedFlangeBuilder:
NXOpen::Features::SheetMetal::SheetmetalBaseBuilder NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  SectionSideOptions { SectionSideOptionsLeft, SectionSideOptionsRight }
 This enum represents the side of the section that the lofted flange creates thickness. More...
 

Public Member Functions

NXOpen::Features::SheetMetal::BendOptionsBendOptions ()
 Returns the bend options object. More...
 
NXOpen::SectionEndSection ()
 Returns the end section of the lofted flange.The section profile should be open looped. More...
 
NXOpen::Point3d EndSectionPoint ()
 Returns the start/end point of the end section.It can be start/end point of the section profile. More...
 
NXOpen::Features::SketchFeatureEndSketch ()
 Returns the end section sketch as slave. More...
 
NXOpen::ExpressionGetThickness ()
 The thickness of base lofted flange.Applicable only for Base lofted flange. More...
 
NXOpen::ExpressionIndexMarkLength ()
 Returns the index mark length Get the index mark length expression If use segmented bends is set to true the only the index mark length value is used for dividing the bend even though a value is set Index mark length value only gets reflected in flat pattern view
Created in NX6.0.0. More...
 
bool IsSecondary ()
 Returns the type of lofted flange feature - base lofted flange/secondary lofted flange. More...
 
int NumberOfBendSegments ()
 Returns the number of bend segments Get and set the number of bend segments If use segmented bends is set to true then only the number of bend segments value is used for dividing the bend even though a value is set
Created in NX6.0.0. More...
 
void SetEndSection (NXOpen::Section *endSection)
 Sets the end section of the lofted flange.The section profile should be open looped. More...
 
void SetEndSectionPoint (const NXOpen::Point3d &point)
 Sets the start/end point of the end section.It can be start/end point of the section profile. More...
 
void SetEndSketch (NXOpen::Features::SketchFeature *slaveEndSketch)
 Sets the end section sketch as slave. More...
 
void SetNumberOfBendSegments (int numberOfBendSegments)
 Sets the number of bend segments Get and set the number of bend segments If use segmented bends is set to true then only the number of bend segments value is used for dividing the bend even though a value is set
Created in NX6.0.0. More...
 
void SetSecondary (bool isSecondary)
 Sets the type of lofted flange feature - base lofted flange/secondary lofted flange. More...
 
void SetStartSection (NXOpen::Section *startSection)
 Sets the start section of the lofted flange. More...
 
void SetStartSectionPoint (const NXOpen::Point3d &point)
 Sets the start/end point of the start section.It can be start/end point of the section profile. More...
 
void SetStartSketch (NXOpen::Features::SketchFeature *slaveStartSketch)
 Sets the start section sketch as slave. More...
 
void SetThickness (const NXString &thickness)
 The thickness of base lofted flange.Applicable only for Base lofted flange. More...
 
void SetThickness (const char *thickness)
 The thickness of base lofted flange.Applicable only for Base lofted flange. More...
 
void SetThicknessSide (NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SectionSideOptions thickSide)
 Sets the thickness side of base lofted flange. More...
 
void SetUseSegmentedBends (bool useMultiSegmentBends)
 Sets the use multi segment bends Set use_segmented_bends to true or false and get the same If use multi segment bends is set to true then lofted flange bend face is gets divided as per the number bend segments mentioned by the user
Created in NX6.0.0. More...
 
NXOpen::SectionStartSection ()
 Returns the start section of the lofted flange. More...
 
NXOpen::Point3d StartSectionPoint ()
 Returns the start/end point of the start section.It can be start/end point of the section profile. More...
 
NXOpen::Features::SketchFeatureStartSketch ()
 Returns the start section sketch as slave. More...
 
NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SectionSideOptions ThicknessSide ()
 Returns the thickness side of base lofted flange. More...
 
bool UseSegmentedBends ()
 Returns the use multi segment bends Set use_segmented_bends to true or false and get the same If use multi segment bends is set to true then lofted flange bend face is gets divided as per the number bend segments mentioned by the user
Created in NX6.0.0. More...
 
int ValidateBuilderData ()
 Verify user data validity. More...
 
- Public Member Functions inherited from NXOpen::Features::SheetMetal::SheetmetalBaseBuilder
NXOpen::Features::SheetMetal::ApplicationContext GetApplicationContext ()
 Get the application context. More...
 
void SetApplicationContext (NXOpen::Features::SheetMetal::ApplicationContext appContext)
 Set the application context. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Lofted Flange feature builder.


To create a new instance of this class, use NXOpen::Features::SheetMetal::SheetmetalManager::CreateLoftedFlangeFeatureBuilder
Default values.

Property Value

IndexMarkLength.Value

5 (millimeters part), 0.5 (inches part)

NumberOfBendSegments

0

UseSegmentedBends

0


Created in NX4.0.0.

Member Enumeration Documentation

This enum represents the side of the section that the lofted flange creates thickness.

The "left" option represents the side to the left of a person who is walking along the section in the direction of its curves when the section normal is pointing up. The "right" option represents the person's right hand side. This interpretation is the same regardless of whether the section is open or closed. The "right" side at any point along the section can also be represented by the vector resulting from the cross product of the curve tangent (of the section curve at that point) and the section normal. The "left" side is the opposite.

Enumerator
SectionSideOptionsLeft 

Side pointed to by the inverse of the tangent cross normal vector.

SectionSideOptionsRight 

Side pointed to by the tangent cross normal vector.

Member Function Documentation

NXOpen::Features::SheetMetal::BendOptions* NXOpen::Features::SheetMetal::LoftedFlangeBuilder::BendOptions ( )

Returns the bend options object.

Get the bend options object which is created while creating builder. Then set values to parameters of bend options object(like bend radius, bend relief type etc.) using set methods of bend options object.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

NXOpen::Section* NXOpen::Features::SheetMetal::LoftedFlangeBuilder::EndSection ( )

Returns the end section of the lofted flange.The section profile should be open looped.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

NXOpen::Point3d NXOpen::Features::SheetMetal::LoftedFlangeBuilder::EndSectionPoint ( )

Returns the start/end point of the end section.It can be start/end point of the section profile.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

NXOpen::Features::SketchFeature* NXOpen::Features::SheetMetal::LoftedFlangeBuilder::EndSketch ( )

Returns the end section sketch as slave.

Set the sketch which is used to create end section. This is only used when the section is created from sketch. If the section is created from edges or if the end sketch is not required to be slave, set the value as NULL .


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

NXOpen::Expression* NXOpen::Features::SheetMetal::LoftedFlangeBuilder::GetThickness ( )

The thickness of base lofted flange.Applicable only for Base lofted flange.

Ignored for a Secondary Lofted Flange.

Returns

Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Expression* NXOpen::Features::SheetMetal::LoftedFlangeBuilder::IndexMarkLength ( )

Returns the index mark length Get the index mark length expression If use segmented bends is set to true the only the index mark length value is used for dividing the bend even though a value is set Index mark length value only gets reflected in flat pattern view
Created in NX6.0.0.



License requirements : None

bool NXOpen::Features::SheetMetal::LoftedFlangeBuilder::IsSecondary ( )

Returns the type of lofted flange feature - base lofted flange/secondary lofted flange.

Specify false for base lofted flanges and true for secondary lofted flanges.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

int NXOpen::Features::SheetMetal::LoftedFlangeBuilder::NumberOfBendSegments ( )

Returns the number of bend segments Get and set the number of bend segments If use segmented bends is set to true then only the number of bend segments value is used for dividing the bend even though a value is set
Created in NX6.0.0.



License requirements : None

void NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SetEndSection ( NXOpen::Section endSection)

Sets the end section of the lofted flange.The section profile should be open looped.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
endSectionend section
void NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SetEndSectionPoint ( const NXOpen::Point3d point)

Sets the start/end point of the end section.It can be start/end point of the section profile.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
pointpoint
void NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SetEndSketch ( NXOpen::Features::SketchFeature slaveEndSketch)

Sets the end section sketch as slave.

Set the sketch which is used to create end section. This is only used when the section is created from sketch. If the section is created from edges or if the end sketch is not required to be slave, set the value as NULL .


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
slaveEndSketchslave end sketch
void NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SetNumberOfBendSegments ( int  numberOfBendSegments)

Sets the number of bend segments Get and set the number of bend segments If use segmented bends is set to true then only the number of bend segments value is used for dividing the bend even though a value is set
Created in NX6.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
numberOfBendSegmentsnumberofbendsegments
void NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SetSecondary ( bool  isSecondary)

Sets the type of lofted flange feature - base lofted flange/secondary lofted flange.

Specify false for base lofted flanges and true for secondary lofted flanges.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
isSecondaryis secondary
void NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SetStartSection ( NXOpen::Section startSection)

Sets the start section of the lofted flange.

The section profile should be open looped.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
startSectionstart section
void NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SetStartSectionPoint ( const NXOpen::Point3d point)

Sets the start/end point of the start section.It can be start/end point of the section profile.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
pointpoint
void NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SetStartSketch ( NXOpen::Features::SketchFeature slaveStartSketch)

Sets the start section sketch as slave.

Set the sketch which is used to create start section. This is only used when the section is created from sketch. If the section is created from edges or start sketch is not required to be slave, set slave sketch as NULL.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
slaveStartSketchslave start sketch
void NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SetThickness ( const NXString thickness)

The thickness of base lofted flange.Applicable only for Base lofted flange.

Ignored for a Secondary Lofted Flange.

Deprecated:
Deprecated in NX10.0.0. Use Expression::SetRightHandSide on the Expression object returned from Features::SheetMetal::LoftedFlangeBuilder::GetThickness instead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
thicknessthickness
void NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SetThickness ( const char *  thickness)

The thickness of base lofted flange.Applicable only for Base lofted flange.

Ignored for a Secondary Lofted Flange.

Deprecated:
Deprecated in NX10.0.0. Use Expression::SetRightHandSide on the Expression object returned from Features::SheetMetal::LoftedFlangeBuilder::GetThickness instead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
thicknessthickness
void NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SetThicknessSide ( NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SectionSideOptions  thickSide)

Sets the thickness side of base lofted flange.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
thickSidethick side
void NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SetUseSegmentedBends ( bool  useMultiSegmentBends)

Sets the use multi segment bends Set use_segmented_bends to true or false and get the same If use multi segment bends is set to true then lofted flange bend face is gets divided as per the number bend segments mentioned by the user
Created in NX6.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
useMultiSegmentBendsusemultisegmentbends
NXOpen::Section* NXOpen::Features::SheetMetal::LoftedFlangeBuilder::StartSection ( )

Returns the start section of the lofted flange.

The section profile should be open looped.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

NXOpen::Point3d NXOpen::Features::SheetMetal::LoftedFlangeBuilder::StartSectionPoint ( )

Returns the start/end point of the start section.It can be start/end point of the section profile.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

NXOpen::Features::SketchFeature* NXOpen::Features::SheetMetal::LoftedFlangeBuilder::StartSketch ( )

Returns the start section sketch as slave.

Set the sketch which is used to create start section. This is only used when the section is created from sketch. If the section is created from edges or start sketch is not required to be slave, set slave sketch as NULL.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SectionSideOptions NXOpen::Features::SheetMetal::LoftedFlangeBuilder::ThicknessSide ( )

Returns the thickness side of base lofted flange.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

bool NXOpen::Features::SheetMetal::LoftedFlangeBuilder::UseSegmentedBends ( )

Returns the use multi segment bends Set use_segmented_bends to true or false and get the same If use multi segment bends is set to true then lofted flange bend face is gets divided as per the number bend segments mentioned by the user
Created in NX6.0.0.



License requirements : None

int NXOpen::Features::SheetMetal::LoftedFlangeBuilder::ValidateBuilderData ( )

Verify user data validity.

If the data is valid, returned value should be 0.

Returns
Data Validity Flag.
Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.